//Luka Mitrovic
#include <iostream>
#include <cmath>
#include <iomanip>
#include <algorithm>
#include <vector>
using namespace std;

int main() {

	int n;
	cin >> n;

	vector<pair<double,double>> vect;

	for (int i = 0; i < n; i++) {
		double plata;
		double procenat;

		cin >> plata >> procenat;
		procenat /= 100;
		vect.push_back(make_pair(procenat,plata));
	}

	sort(vect.begin(), vect.end(), greater<>());

	double max = 0;
	double najbolji_procenat = 0;
	double trenutni = 0;
	double ukupne_plate = 0;
	for (int i = 0; i < n; i++) {
		ukupne_plate += vect[i].second;
		trenutni = ukupne_plate * (vect[i].first);
		if (trenutni >= max) {
			max = trenutni;
			najbolji_procenat = vect[i].first;
		}
	}

	cout << fixed << setprecision(5) << max << endl;

}